Fix: Rename view name to lower case
[releng/global-jjb.git] / shell / jenkins-sandbox-cleanup.sh
1 #!/bin/bash
2 # SPDX-License-Identifier: EPL-1.0
3 ##############################################################################
4 # Copyright (c) 2018 The Linux Foundation and others.
5 #
6 # All rights reserved. This program and the accompanying materials
7 # are made available under the terms of the Eclipse Public License v1.0
8 # which accompanies this distribution, and is available at
9 # http://www.eclipse.org/legal/epl-v10.html
10 ##############################################################################
11 # Deletes all jobs on a Jenkins Sandbox system.
12 echo "---> jenkins-sandbox-cleanup.sh"
13
14 set -euf -o pipefail
15
16 # shellcheck disable=SC1090
17 . ~/lf-env.sh
18
19 lf-activate-venv --python python3 --venv-file /tmp/.jjb_venv \
20     jenkins-job-builder urllib3~=1.26.15
21
22 # jenkins-jobs does not always open 'stdin' which may cause 'yes' to fail
23 (yes || true) | jenkins-jobs -s sandbox delete-all
24
25 # Recreate the All default view.
26 cat << 'EOF' > all-view.yaml
27 - view:
28     name: all
29     view-type: all
30 EOF
31 jenkins-jobs -s sandbox update -v all-view.yaml